CREATE TABLE `barn` (
    `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键Id自增',
    `name` varchar(255) NOT NULL DEFAULT '' COMMENT '名称',
    `remarks` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
    `barn_type` tinyint(1) unsigned NOT NULL COMMENT '栏舍类型',
    `lengths` smallint(5) unsigned NOT NULL COMMENT '栏舍长度',
    `widths` smallint(5) unsigned NOT NULL COMMENT '栏舍宽度',
    `doctrinal_capacity` smallint(5) unsigned NOT NULL COMMENT '理论存栏数',
    `actual_capacity` smallint(5) unsigned NOT NULL COMMENT '实际存栏数',
    `bed_number` smallint(5) unsigned NOT NULL COMMENT '床位数',
    `neck_number` smallint(5) unsigned NOT NULL COMMENT '颈颊数',
    `is_show` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '是否启用 1 启用 2 关闭',
    `is_delete` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '是否删除 1 未删除 2 已删除',
    `created_at` bigint(20) unsigned NOT NULL COMMENT '创建时间',
    `updated_at` bigint(20) unsigned NOT NULL COMMENT '更新时间',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='栏舍表'
